Error
A valid request URL is required to generate request examples{
"items": [
{
"storagePath": "vc/3f1a9c8e2b7d4f60a1c5e9b8d7f6a4c2/018f9a2b-7c3d-7e10-9a4b-2c1d5e6f7a8b",
"schemaId": "<schema-id>",
"issuerDid": "did:web:issuer.example",
"createdAt": "2026-08-01T00:00:00.000Z"
}
],
"hasMore": false
}{
"code": "INVALID_PARAMETER",
"message": "limit must be between 1 and 100"
}{
"code": "INVALID_PARAMETER",
"message": "<string>"
}{
"code": "FORBIDDEN",
"message": "This endpoint requires an agent JWT"
}{
"code": "CREDENTIAL_STORAGE_UNAVAILABLE",
"message": "Failed to read credential envelope"
}Agent APIs
List credentials
Cursor-paginated list of the authenticated holder’s credentials. Agent JWTs
need credentials.read. A holder user JWT also works.
Filters are repeatable. vct also accepts a comma-separated list (except
for http(s) URLs). Filters on different fields are combined as an
intersection.
GET
/
v2
/
credentials
Error
A valid request URL is required to generate request examples{
"items": [
{
"storagePath": "vc/3f1a9c8e2b7d4f60a1c5e9b8d7f6a4c2/018f9a2b-7c3d-7e10-9a4b-2c1d5e6f7a8b",
"schemaId": "<schema-id>",
"issuerDid": "did:web:issuer.example",
"createdAt": "2026-08-01T00:00:00.000Z"
}
],
"hasMore": false
}{
"code": "INVALID_PARAMETER",
"message": "limit must be between 1 and 100"
}{
"code": "INVALID_PARAMETER",
"message": "<string>"
}{
"code": "FORBIDDEN",
"message": "This endpoint requires an agent JWT"
}{
"code": "CREDENTIAL_STORAGE_UNAVAILABLE",
"message": "Failed to read credential envelope"
}Authorizations
Agent JWT from POST /v2/auth/agent/session.
Query Parameters
Filter to one or more credential schema IDs.
Maximum array length:
100Maximum string length:
255Filter to one or more issuer DIDs.
Maximum array length:
100Maximum string length:
255OR filter of SD-JWT vct values (schema identifier or published VCT
URL). Repeat the parameter (?vct=a&vct=b) or pass a comma-separated
list (?vct=a,b).
Maximum array length:
100Maximum string length:
2048Page size (1–100).
Required range:
1 <= x <= 100Opaque cursor from a previous page's nextCursor.
Was this page helpful?